Closed Bug 953933 Opened 7 years ago Closed 7 years ago

Add shortcut <modifier>+<number n> to access n-th tab in conversation window

Categories

(Instantbird :: Conversation, enhancement)

enhancement
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: benediktp, Assigned: florian)

References

Details

(Whiteboard: [0.3-nice-to-have])

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 496 at 2010-09-12 09:21:00 UTC ***

Firefox offers the shortcut CTRL+<number n> to access the n-th tab in the browser window. Would be useful to have the same for conversation tabs.

Mapping:
  Zero: No action.
  One to eight: First to eighth tab; if there's no n-th tab, do nothing.
  Nine: Always select last tab, even if its number is less than nine.
Duplicate of this bug: 954081
*** Original post on bio 496 at 2011-01-02 15:19:10 UTC ***

> Fioravanti Diego 2011-01-02 15:36:17 CET
>
> It's possible that it's not a bug but a missing feature.
> Usually under GNOME with firefox, nautilus, pidgin it's 
> possible switch between tab using ALT + 1,2,3 etc, but
> it's not possible in Instantbird.

I didn't know it's possible to use the ALT key as well. Changing the summary to reflect the situation. Thanks for helping!
Summary: Add shortcut CTRL+<number n> to access n-th tab in conversation window → Add shortcut <modifier>+<number n> to access n-th tab in conversation window
*** Original post on bio 496 by Fioravanti Diego <diravan AT gmail.com> at 2011-01-02 15:27:36 UTC ***

Ok, thank you. But all other application use ALT + number, including Firefox. I think it's quite confusing that instantbird use CTRL + number.
*** Original post on bio 496 at 2011-01-02 16:54:57 UTC ***

(In reply to comment #3)
> Ok, thank you. But all other application use ALT + number, including Firefox. I
> think it's quite confusing that instantbird use CTRL + number.

On Windows, Firefox uses CTRL+<number> and ALT+<number> doesn't work; we should have an OS specific solution so everyone gets what he's used to.
*** Original post on bio 496 by Fioravanti Diego <diravan AT gmail.com> at 2011-01-02 17:09:56 UTC ***

(In reply to comment #4)
> (In reply to comment #3)
> > Ok, thank you. But all other application use ALT + number, including Firefox. I
> > think it's quite confusing that instantbird use CTRL + number.
> 
> On Windows, Firefox uses CTRL+<number> and ALT+<number> doesn't work; we should
> have an OS specific solution so everyone gets what he's used to.

Ah, ok. I use Ubuntu so I use ALT + <number>. I agree with you that the OS specific solution it's the better way to do that.
Whiteboard: [0.3-nice-to-have]
Attached patch Patch v1 (obsolete) — Splinter Review
*** Original post on bio 496 as attmnt 597 at 2011-04-22 12:55:00 UTC ***

This is a straight port of the Firefox code at http://mxr.mozilla.org/mozilla-central/source/browser/base/content/browser-sets.inc#364
Assignee: nobody → florian
Status: NEW → ASSIGNED
Attached patch Patch v2Splinter Review
*** Original post on bio 496 as attmnt 598 at 2011-04-22 14:18:00 UTC ***

The same with some more code to handle Command+shift+left/right arrow on Mac.
Comment on attachment 8352339 [details] [diff] [review]
Patch v1

*** Original change on bio 496 attmnt 597 at 2011-04-22 14:18:10 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352339 - Attachment is obsolete: true
*** Original post on bio 496 at 2011-04-22 17:40:16 UTC ***

https://hg.instantbird.org/instantbird/rev/0b4aafaedc93
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.3b1
You need to log in before you can comment on or make changes to this bug.